#ifndef RESISTORS_H
#define RESISTORS_H

#define R20   (RA0)
#define R100  (RA1)
#define R150  (RA2)
#define R470  (RA4)
#define R10K  (RC7)
#define R10KA (RC6)
#define R100K (RA3)
#define CLAMP (RA5)

#define TRIS_R20   (TRISA0)
#define TRIS_R100  (TRISA1)
#define TRIS_R150  (TRISA2)
#define TRIS_R470  (TRISA4)
#define TRIS_R10K  (TRISC7)
#define TRIS_R10KA (TRISC6)
#define TRIS_R100K (TRISA3)
#define TRIS_CLAMP (TRISA5)

// Disconnects all resistors from the probe tip.
void resistors_disconnect_all(void);

#endif